libzypp: zypp::media::CommitPreloadReport Struct Reference

libzypp 17.38.14

zypp::media::CommitPreloadReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::media::CommitPreloadReport:

## Public Types
enum | Error { NO_ERROR , NOT_FOUND , IO , ACCESS_DENIED , ERROR }
enum | Result { SUCCESS , MISS }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const UserData &userData=UserData())
virtual bool | progress (int value, const UserData &userData=UserData())
| Overall Download progress.
virtual void | fileStart (const Pathname &localfile, const UserData &userData=UserData())
| File just started to download.
virtual void | fileDone (const Pathname &localfile, Error error, const UserData &userData=UserData())
| File finished to download, Error indicated if it was successful for not.
virtual void | finish (Result res, const UserData &userData=UserData())
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Definition at line 407 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Error

enum zypp::media::CommitPreloadReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
ACCESS_DENIED |
ERROR |

Definition at line 409 of file ZYppCallbacks.h.

## ◆ Result

enum zypp::media::CommitPreloadReport::Result

Enumerator
SUCCESS |
MISS |

Definition at line 462 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::media::CommitPreloadReport::start | ( | const UserData & | userData = UserData() | ) |
| inlinevirtual

Prefetch of all files has started

Definition at line 420 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::media::CommitPreloadReport::progress | ( | int | value,
|  | const UserData & | userData = UserData() )
| inlinevirtual

Overall Download progress.

Parameters

  value | Percentage value.

Userdata sent:

Parameters

  dbps_avg | Average download rate so far. (type: double) (optional)
  dbps_current | Current download (cca last 1 sec). (type: double) (optional)
  bytesReceived | Already received bytes (type: double) (optional)
  bytesRequired | Bytes we need to download (type: double) (optional)

Definition at line 433 of file ZYppCallbacks.h.

## ◆ fileStart()

virtual void zypp::media::CommitPreloadReport::fileStart | ( | const Pathname & | localfile,
|  | const UserData & | userData = UserData() )
| inlinevirtual

File just started to download.

Userdata sent:

Parameters

  Url | Url where this request is downloaded from. (type: zypp::Url) (optional)

Definition at line 443 of file ZYppCallbacks.h.

## ◆ fileDone()

virtual void zypp::media::CommitPreloadReport::fileDone | ( | const Pathname & | localfile,
|  | Error | error,
|  | const UserData & | userData = UserData() )
| inlinevirtual

File finished to download, Error indicated if it was successful for not.

Userdata sent:

Parameters

  Url | zypp::Url where this request is downloaded from (type: zypp::Url) (optional)
  description | Description of the error (type: std::String) (optional)

Definition at line 456 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::media::CommitPreloadReport::finish | ( | Result | res,
|  | const UserData & | userData = UserData() )
| inlinevirtual

Prefetch finished

Definition at line 470 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h